# Register

## Classes

class | Loki::RegisterOnCreateSet< ElementList >
class | Loki::UnRegisterOnDeleteSet< ElementList >

## Defines

#define | LOKI_CHECK_CLASS_IN_LIST(CLASS, LIST)

## Functions

template<class t >
bool | Loki::RegisterFunction ()
template<class t >
bool | Loki::UnRegisterFunction ()

## Define Documentation

#define LOKI_CHECK_CLASS_IN_LIST | ( | CLASS,
|  | LIST |  | ) |

Value:

    \
        struct LOKI_CONCAT(check_,CLASS,_isInList_,LIST)                            \
        {                                                                           \
            typedef int LOKI_CONCAT(ERROR_class_,CLASS,_isNotInList_,LIST);         \
        };                                                                          \
        typedef Loki::Select<Loki::TL::IndexOf<LIST, CLASS>::value == -1,           \
                            CLASS,                                                  \
                            LOKI_CONCAT(check_,CLASS,_isInList_,LIST)>              \
                            ::Result LOKI_CONCAT(CLASS,isInList,LIST,result);       \
        typedef LOKI_CONCAT(CLASS,isInList,LIST,result)::                           \
                            LOKI_CONCAT(ERROR_class_,CLASS,_isNotInList_,LIST)      \
                            LOKI_CONCAT(ERROR_class_,CLASS,_isNotInList__,LIST);

Check if CLASS is in the typelist LIST.

Usage
  see test/Register

## Function Documentation

template<class t >

bool Loki::RegisterFunction | ( |  | ) | `[inline]`

Must be specialized be the user

template<class t >

bool Loki::UnRegisterFunction | ( |  | ) | `[inline]`

Must be specialized be the user